.profile-avatar-form-option {
  hr {
    margin: 10px 0;
  }
}

.avatar-image {
  @include media-breakpoint-up(sm) {
    float: left;
    margin-bottom: 0;
  }
}

.avatar-file-name {
  position: relative;
  top: 2px;
  display: inline-block;
}

.account-btn-link,
.profile-settings-sidebar a,
.settings-sidebar a {
  color: $blue-600;
}

.private-tokens-reset div.reset-action:not(:first-child) {
  padding-top: 15px;
}

.oauth-buttons {
  .btn-group {
    margin-right: 10px;
  }

  .btn {
    line-height: 40px;
    height: 42px;
    padding: 0 12px;

    img {
      width: 32px;
      height: 32px;
    }
  }
}

// Profile > Account > Two Factor Authentication
.two-factor-new {
  .manual-instructions {
    h3 {
      margin-top: 0;
    }

    // Slightly increase the size of the details so they're easier to read
    dl {
      font-size: 1.1em;
    }
  }
}

.account-well {
  padding: 10px;
  background-color: $gray-light;
  border: 1px solid $border-color;
  border-radius: $border-radius-base;

  ul {
    padding-left: 20px;
    margin-bottom: 0;
  }
}

.profile-link-holder {
  display: inline;

  a:not(.text-link) {
    text-decoration: none;
  }
}

// Middle dot divider between each element in a list of items.
.middle-dot-divider {
  &::after {
    content: '\00B7'; // Middle Dot
    padding: 0 6px;
    font-weight: $gl-font-weight-bold;
  }

  &:last-child {
    &::after {
      content: '';
      padding: 0;
    }
  }
}

.profile-user-bio {
  // Limits the width of the user bio for readability.
  max-width: 600px;
  margin: 10px auto;
}

.user-avatar-button {
  .file-name {
    display: inline-block;
    padding-left: 10px;
  }
}

.subkeys-list {
  @include basic-list;

  li {
    padding: 3px 0;
    border: 0;
  }
}

.expire-label {
  color: grey;
  font-weight: normal;
}

.key-list-item {
  .key-list-item-info {
    @include media-breakpoint-up(sm) {
      float: left;
    }
  }

  .description {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }
}

.key-created-at {
  line-height: 42px;
}

.profile-settings-content {
  a {
    color: $blue-600;
  }
}

.provider-group {
  display: inline-block;
}

.provider-exp-group {
  float: right;
  padding: 6px;
}

.provider-btn-group {
  float: left;
  display: inline-block;
  margin-right: 10px;
  margin-bottom: 10px;
  border: 1px solid $border-color;
  border-radius: 3px;

  &:last-child {
    margin-right: 0;
    margin-bottom: 0;
  }
}

.provider-btn-image {
  display: inline-block;
  padding: 5px 10px;
  border-right: 1px solid $border-color;

  > img {
    width: 20px;
  }
}

.provider-group {
  display: flex;
}

.provider-btn {
  display: inline-block;
  padding: 5px 10px;
  margin-left: -3px;
  line-height: 22px;
  background-color: $gray-light;

  &.not-active {
    color: $blue-500;
  }
}

.oauth-applications {
  form {
    display: inline-block;
  }

  .last-heading {
    width: 105px;
  }
}

.modal-profile-crop {
  .modal-dialog {
    width: 380px;

    @include media-breakpoint-down(xs) {
      width: auto;
    }
  }

  .profile-crop-image-container {
    height: 300px;
    margin: 0 auto;
  }

  .crop-controls {
    padding: 10px 0 0;
    text-align: center;
  }
}

.personal-access-tokens-never-expires-label {
  color: $note-disabled-comment-color;
}

.created-personal-access-token-container {
  .btn-clipboard {
    border: 1px solid $border-color;
  }
}

.user-profile {
  .cover-controls a {
    margin-left: 5px;
  }

  .profile-header {
    margin: 0 $gl-padding;

    &.with-no-profile-tabs {
      margin-bottom: $gl-padding-24;
    }

    .avatar-holder {
      width: 90px;
      margin: 0 auto 10px;
    }
  }

  .user-profile-nav {
    font-size: 0;
  }

  .fade-right {
    right: 0;
  }

  .fade-left {
    left: 0;
  }

  .activities-block {
    .event-item {
      padding-left: 40px;
    }

    @include media-breakpoint-up(lg) {
      margin-right: 5px;
    }
  }

  .projects-block {
    @include media-breakpoint-up(lg) {
      margin-left: 5px;
    }
  }

  @include media-breakpoint-down(xs) {
    .cover-block {
      padding-top: 20px;
    }

    .user-profile-nav {
      a {
        margin-right: 0;
      }
    }

    .activities-block {
      .event-item {
        padding-left: 0;
      }
    }
  }
}

table.u2f-registrations {
  th:not(:last-child),
  td:not(:last-child) {
    border-right: solid 1px transparent;
  }
}

.codes {
  padding-top: 14px;
}

.oauth-application-show {
  .scope-name {
    font-weight: $gl-font-weight-bold;
  }

  .scopes-list {
    padding-left: 18px;
  }
}

.user-callout {
  margin: 20px -5px 0;

  .bordered-box {
    padding: 32px;
    border: 1px solid $blue-300;
    border-radius: $border-radius-default;
    background-color: $blue-50;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .landing {
    padding: 32px;

    .close {
      position: absolute;
      top: 20px;
      right: 20px;
      opacity: 1;

      .dismiss-icon {
        float: right;
        cursor: pointer;
        color: $blue-300;
      }

      &:hover {
        background-color: transparent;
        border: 0;

        .dismiss-icon {
          color: $blue-400;
        }
      }
    }

    .svg-container {
      margin-right: 30px;
      display: inline-block;

      svg {
        height: 110px;
        vertical-align: top;
      }

      &.convdev {
        margin: 0 0 0 30px;

        svg {
          height: 127px;
        }
      }
    }

    .user-callout-copy {
      display: inline-block;
      vertical-align: top;
      max-width: 570px;
    }
  }

  @include media-breakpoint-down(xs) {
    text-align: center;

    .bordered-box {
      display: block;
    }

    .landing {
      .svg-container,
      .user-callout-copy {
        margin: 0 auto;
        display: block;

        svg {
          height: 75px;
        }

        &.convdev {
          margin: $gl-padding auto 0;

          svg {
            height: 120px;
          }
        }
      }
    }
  }
}

.nav-wip {
  border: 1px solid $blue-500;
  background: $blue-50;
  padding: $gl-padding;
  margin-bottom: $gl-padding;

  a {
    color: $blue-500;
  }

  p:last-child {
    margin-bottom: 0;
  }
}

.email-badge {
  display: inline;
  margin-right: $gl-padding / 2;

  .email-badge-email {
    display: inline;
    margin-right: $gl-padding / 4;
  }

  .badge-verification-status {
    border-width: 1px;
    border-style: solid;

    &.verified {
      @include green-status-color;
    }

    &.unverified {
      @include status-color($gray-dark, color('gray'), $common-gray-dark);
    }
  }
}

.edit-user {
  .clear-user-status {
    svg {
      fill: $gl-text-color-secondary;
    }
  }

  .form-group > label {
    font-weight: $gl-font-weight-bold;
  }

  .form-group > .form-text {
    font-size: $gl-font-size;
  }

  .emoji-menu-toggle-button {
    @include emoji-menu-toggle-button;
    padding: 6px 10px;

    .no-emoji-placeholder {
      position: relative;

      svg {
        fill: $gl-text-color-secondary;
      }
    }
  }

  @include media-breakpoint-down(sm) {
    .input-md,
    .input-lg {
      max-width: 100%;
    }
  }
}

.help-block {
  color: $gl-text-color-secondary;
}

.gitlab-slack-gif {
  width: 100%;
  max-width: $add-to-slack-gif-max-width;
}

.gitlab-slack-well {
  background-color: $white-light;
  box-shadow: none;
  max-width: $add-to-slack-well-max-width;
}

.gitlab-slack-logo {
  width: $add-to-slack-logo-size;
  height: $add-to-slack-logo-size;
}

.gitlab-slack-popup {
  width: 100%;
  max-width: $add-to-slack-popup-max-width;
}

.gitlab-slack-right-arrow svg {
  fill: $white-dark;
  width: $right-arrow-size;
  height: $right-arrow-size;
  vertical-align: text-bottom;
}

.gitlab-slack-double-headed-arrow {
  vertical-align: text-top;

  svg {
    fill: $gray-darker;
    width: $double-headed-arrow-width;
    height: $double-headed-arrow-height;
  }
}
